Index: YAML-AppConfig-0.16/Makefile.PL
--- YAML-AppConfig-0.16/Makefile.PL.orig	2006-07-02 23:21:51.000000000 +0200
+++ YAML-AppConfig-0.16/Makefile.PL	2012-07-31 16:07:20.000000000 +0200
@@ -21,6 +21,7 @@
         eval "require $info->[0]; 0;";
         push @yamls, @$info unless $@;
     }
-    die "YAML >= 0.38 or YAML::Syck >= 0 required.\n" unless @yamls;
+    # die "YAML >= 0.38 or YAML::Syck >= 0 required.\n" unless @yamls;
     return @yamls;
 }
+
Index: syck-0.70/lib/bytecode.c
--- syck-0.70/lib/bytecode.c.orig	2009-09-30 19:29:34.000000000 +0200
+++ syck-0.70/lib/bytecode.c	2012-07-31 16:10:17.000000000 +0200
@@ -7,11 +7,16 @@
  *
  * Copyright (C) 2003 why the lucky stiff
  */
+
+#include <stdlib.h>
+#include <string.h>
+
 #include "syck.h"
 
 #if GRAM_FILES_HAVE_TAB_SUFFIX
 #include "gram.tab.h"
 #else
+#define YYPARSE_PARAM
 #include "gram.h"
 #endif
 
Index: syck-0.70/lib/gram.y
--- syck-0.70/lib/gram.y.orig	2009-09-30 19:29:34.000000000 +0200
+++ syck-0.70/lib/gram.y	2012-07-31 16:09:51.000000000 +0200
@@ -19,14 +19,14 @@
 #define YYSTACK_USE_ALLOCA 0
 #endif
 
+#define YYPARSE_PARAM   parser
+#define YYLEX_PARAM     parser
+
 #include "syck.h"
 #include "sycklex.h"
 
 void apply_seq_in_map( SyckParser *parser, SyckNode *n );
 
-#define YYPARSE_PARAM   parser
-#define YYLEX_PARAM     parser
-
 #define NULL_NODE(parser, node) \
         SyckNode *node = syck_new_str( "", scalar_plain ); \
         if ( ((SyckParser *)parser)->taguri_expansion == 1 ) \
Index: syck-0.70/lib/handler.c
--- syck-0.70/lib/handler.c.orig	2009-09-30 19:29:34.000000000 +0200
+++ syck-0.70/lib/handler.c	2012-07-31 16:07:20.000000000 +0200
@@ -7,6 +7,9 @@
  * Copyright (C) 2003 why the lucky stiff
  */
 
+#include <stdlib.h>
+#include <string.h>
+
 #include "syck.h"
 
 SYMID 
Index: syck-0.70/lib/implicit.c
--- syck-0.70/lib/implicit.c.orig	2009-09-30 19:29:34.000000000 +0200
+++ syck-0.70/lib/implicit.c	2012-07-31 16:07:20.000000000 +0200
@@ -8,6 +8,7 @@
  * Copyright (C) 2003 why the lucky stiff
  */
 
+#include <stdlib.h>
 #include "syck.h"
 
 #define YYCTYPE     char
Index: syck-0.70/lib/node.c
--- syck-0.70/lib/node.c.orig	2009-09-30 19:29:34.000000000 +0200
+++ syck-0.70/lib/node.c	2012-07-31 16:07:20.000000000 +0200
@@ -7,6 +7,9 @@
  * Copyright (C) 2003 why the lucky stiff
  */
 
+#include <stdlib.h>
+#include <string.h>
+
 #include "syck.h"
 
 /*
Index: syck-0.70/lib/syck.c
--- syck-0.70/lib/syck.c.orig	2009-09-30 19:29:34.000000000 +0200
+++ syck-0.70/lib/syck.c	2012-07-31 16:07:20.000000000 +0200
@@ -7,6 +7,7 @@
  * Copyright (C) 2003 why the lucky stiff
  */
 #include <stdio.h>
+#include <stdlib.h>
 #include <string.h>
 
 #include "syck.h"
@@ -67,12 +68,13 @@
 
     ASSERT( str != NULL );
     beg = str->ptr;
+
     if ( max_size >= 0 )
     {
         max_size -= skip;
-        if ( max_size <= 0 )  max_size = 0;
-        else                  str->ptr += max_size;
+        if ( max_size < 0 ) max_size = 0;
 
+        str->ptr += max_size;
         if ( str->ptr > str->end )
         {
             str->ptr = str->end;
Index: syck-0.70/lib/syck.h
--- syck-0.70/lib/syck.h.orig	2009-09-30 19:29:34.000000000 +0200
+++ syck-0.70/lib/syck.h	2012-07-31 16:07:20.000000000 +0200
@@ -36,6 +36,8 @@
 
 #include <stddef.h>
 #include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
 #include <ctype.h>
 #ifdef HAVE_ST_H
 #include <st.h>
Index: syck-0.70/lib/token.c
--- syck-0.70/lib/token.c.orig	2009-09-30 19:29:34.000000000 +0200
+++ syck-0.70/lib/token.c	2012-07-31 16:10:37.000000000 +0200
@@ -7,11 +7,14 @@
  *
  * Copyright (C) 2003 why the lucky stiff
  */
+#include <stdlib.h>
+#include <string.h>
 #include "syck.h"
 
 #if GRAM_FILES_HAVE_TAB_SUFFIX
 #include "gram.tab.h"
 #else
+#define YYPARSE_PARAM
 #include "gram.h"
 #endif
 
Index: syck-0.70/lib/yaml2byte.c
--- syck-0.70/lib/yaml2byte.c.orig	2009-09-30 19:29:34.000000000 +0200
+++ syck-0.70/lib/yaml2byte.c	2012-07-31 16:07:20.000000000 +0200
@@ -11,6 +11,8 @@
  */ 
 #include "syck.h"
 #include <assert.h>
+#include <stdlib.h>
+#include <string.h>
 #define YAMLBYTE_UTF8
 #include "yamlbyte.h"
 
